disabling protocol version check in vncviewer

classic Classic list List threaded Threaded
2 messages Options
Reply | Threaded
Open this post in threaded view
|

disabling protocol version check in vncviewer

Jason Joines-4
  I'm trying to use the TightVNC viewer to connect to some mac boxes
running Apple Remote Desktop version 3.  From what I can determine ( via
Google ), they are using VNC.  However, they have set the protocol
version to a bogus value so that most VNC viewers disconnect.  The
TightVNC viewer reports,
"Connected to RFB server, using protocol version 3.8
Server did not offer supported security type"
and does not connect.

  Apparently the mac VNC viewer Chicken of the VNC ignores the protocol
version and as a result is able to connect to the Apple Remote Desktop
boxes.  How do I disable the check in the TightVNC viewer?  My guess
would be just commenting some code somewhere in rfbproto.c but that's
just a guess.


Jason Joines
=============================

-------------------------------------------------------------------------
This SF.net email is sponsored by: Microsoft
Defy all challenges. Microsoft(R) Visual Studio 2005.
http://clk.atdmt.com/MRT/go/vse0120000070mrt/direct/01/
___________________________________________________________
TightVNC mailing list, [hidden email]
To change your subscription or to UNSUBSCRIBE, please visit
https://lists.sourceforge.net/lists/listinfo/vnc-tight-list
Reply | Threaded
Open this post in threaded view
|

RE: disabling protocol version check in vncviewer

James Weatherall
Jason,

Apple Remote Desktop is based on VNC but is not VNC-compatible.  You can
obtain the standard VNC Enterprise Edition server for Mac OS X from
http://www.realvnc.com/download.html, if you wish.

Standard VNC Viewers, and most third-party VNC-based viewers such as
TightVNC, support a "Use protocol 3.3" option, which forces the viewer to
assume that the server can only support a very old version of the RFB
protocol.  This can help with incompatible servers in some circumstances.

Cheers,

--
Wez @ RealVNC Ltd


> -----Original Message-----
> From: [hidden email]
> [mailto:[hidden email]] On
> Behalf Of Jason Joines
> Sent: 01 October 2007 23:21
> To: [hidden email]
> Subject: disabling protocol version check in vncviewer
>
>   I'm trying to use the TightVNC viewer to connect to some
> mac boxes running Apple Remote Desktop version 3.  From what
> I can determine ( via Google ), they are using VNC.  However,
> they have set the protocol version to a bogus value so that
> most VNC viewers disconnect.  The TightVNC viewer reports,
> "Connected to RFB server, using protocol version 3.8 Server
> did not offer supported security type"
> and does not connect.
>
>   Apparently the mac VNC viewer Chicken of the VNC ignores
> the protocol version and as a result is able to connect to
> the Apple Remote Desktop boxes.  How do I disable the check
> in the TightVNC viewer?  My guess would be just commenting
> some code somewhere in rfbproto.c but that's just a guess.
>
>
> Jason Joines
> =============================
>
> --------------------------------------------------------------
> -----------
> This SF.net email is sponsored by: Microsoft Defy all
> challenges. Microsoft(R) Visual Studio 2005.
> http://clk.atdmt.com/MRT/go/vse0120000070mrt/direct/01/
> ___________________________________________________________
> TightVNC mailing list, [hidden email]
> To change your subscription or to UNSUBSCRIBE, please visit
> https://lists.sourceforge.net/lists/listinfo/vnc-tight-list
>


-------------------------------------------------------------------------
This SF.net email is sponsored by: Microsoft
Defy all challenges. Microsoft(R) Visual Studio 2005.
http://clk.atdmt.com/MRT/go/vse0120000070mrt/direct/01/
___________________________________________________________
TightVNC mailing list, [hidden email]
To change your subscription or to UNSUBSCRIBE, please visit
https://lists.sourceforge.net/lists/listinfo/vnc-tight-list